# \Thelia\Core\EventCategoryEvent

Base class used for internal event like creating new Customer, adding item to cart, etc

Class InternalEvent

## Summary

Methods
Properties
Constants
__construct()
$category
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Core/Event/CategoryEvent.php
Package
  \Default
Class hierarchy
  \Symfony\Component\EventDispatcher\Event
  \Thelia\Core\Event\InternalEvent
  \Thelia\Core\Event\CategoryEvent

## Tags

None found

## Properties

### $category

    $category

#

## Tags

None found

## Methods

### __construct()

    __construct(\Thelia\Model\Category $category)

#### Parameters

\Thelia\Model\Category | $category |

#

## Tags

None found

### CategoryEvent.php